/**
  *  \file client/dialogs/simplemboxdlg.h
  *
  *  (c) 2001-2018 Stefan Reuther <Streu@gmx.de>
  *
  *  This program is free software; you can redistribute it and/or
  *  modify it under the terms of file `COPYING' that comes with the
  *  source code.
  *
  *  This program is distributed in the hope that it will be useful,
  *  but WITHOUT ANY WARRANTY; without even the implied warranty of
  *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
  */
#ifndef PCC_V2_CLIENT_DIALOGS_SIMPLEMBOXDLG_H
#define PCC_V2_CLIENT_DIALOGS_SIMPLEMBOXDLG_H

#include "cpluslib/holder.h"
#include "game/msg.h"
#include "ui/window.h"
#include "client/dialogbinding.h"

class WSimpleMailboxWindow : public UIWindow, public IntUserInterfaceDialogBinding {
    ObjectHolder h;

    void init(GMessagebox& inbox);
 public:
    WSimpleMailboxWindow(string_t title, GMessagebox& inbox);
};

#endif
