/**
  *  \file client/widgets/funclist.h
  *
  *  (c) 2001-2018 Stefan Reuther <Streu@gmx.de>
  *
  *  This program is free software; you can redistribute it and/or
  *  modify it under the terms of file `COPYING' that comes with the
  *  source code.
  *
  *  This program is distributed in the hope that it will be useful,
  *  but WITHOUT ANY WARRANTY; without even the implied warranty of
  *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
  */
#ifndef PCC_V2_CLIENT_WIDGETS_FUNCLIST_H
#define PCC_V2_CLIENT_WIDGETS_FUNCLIST_H

#include "game/hullfunc.h"
#include "ui/listbox.h"
#include "game/shipquery.h"

class WHullFunctionList : public UIListbox {
    GHullFunctionList list;
    GShipQuery query;
 public:
    WHullFunctionList();
    ~WHullFunctionList();

    void setQuery(const GUniverse* univ, const GShipQuery& query);
    void drawPart(GfxCanvas& can, int from, int to);

    const GHullFunction* getSelectedFunction() const;
};

#endif
