/**
  *  \file int/vmfile.h
  *  \brief Interpreter: Standard Virtual Machine File
  *
  *  (c) 2001-2018 Stefan Reuther <Streu@gmx.de>
  *
  *  This program is free software; you can redistribute it and/or
  *  modify it under the terms of file `COPYING' that comes with the
  *  source code.
  *
  *  This program is distributed in the hope that it will be useful,
  *  but WITHOUT ANY WARRANTY; without even the implied warranty of
  *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
  */
#ifndef PCC_V2_INT_VMFILE_H
#define PCC_V2_INT_VMFILE_H

#include "cpluslib/string.h"

class Directory;

void loadVM(Directory& dir, string_t fn, int player);
void saveVM(Directory& dir, string_t fn, int player);

#endif
